- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacySaveDashboardAsReportTemplate#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacySaveDashboardAsReportTemplate#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacySaveDashboardAsReportTemplate#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacySaveDashboardAsReportTemplate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacySaveDashboardAsReportTemplate#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacySaveDashboardAsReportTemplate#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacySaveDashboardAsReportTemplate#body.aspect_1)
- [ReportTemplateCategoryEnum](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacySaveDashboardAsReportTemplate#ReportTemplateCategoryEnum)

**Full name**: projects.locations.instances.legacySoarDashboard.legacySaveDashboardAsReportTemplate

Saves the current dashboard configuration as a report template. This enables users to generate static reports or schedule automated reporting based on dashboard views.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacySoarDashboard:legacySaveDashboardAsReportTemplate`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to save the dashboard as a report template for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "id": integer, "creator": string, "creatorFullName": string, "category": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacySaveDashboardAsReportTemplate#ReportTemplateCategoryEnum`), "name": string, "reportWidgets": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/LegacySoarDashboardWidgetDataModel`) } ], "creationTimeUnixTimeInMs": string, "lastModifiedTimeUnixTimeInMs": string, "isSystem": boolean, "hasScheduler": boolean } ``` |

| Fields ||
|---|---|
| `id` | `integer` Optional. The dashboard id to save as a report template. |
| `creator (deprecated)` | `string` Optional. The creator of the report template. |
| `creatorFullName (deprecated)` | `string` Optional. The creator full name of the report template. |
| `category` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacySaveDashboardAsReportTemplate#ReportTemplateCategoryEnum`)`` Optional. The category of the report template. |
| `name` | `string` Optional. The name of the report template. |
| `reportWidgets[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/LegacySoarDashboardWidgetDataModel`)`` Optional. The report widgets of the report template. |
| `creationTimeUnixTimeInMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The creation time of the report template. |
| `lastModifiedTimeUnixTimeInMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The last modified time of the report template. |
| `isSystem` | `boolean` Optional. Is the report template a system report template. |
| `hasScheduler` | `boolean` Optional. Does the report template has scheduler. |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacySoarDashboards.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## ReportTemplateCategoryEnum

ReportTemplateCategoryEnum is an enum that represents the report template category.

| Enums ||
|---|---|
| `ROI` | Roi category |
| `MANAGEMENT` | Management category |
| `SLA` | Sla category |
| `TIER1` | Tier1 category |
| `GENERAL` | General category |